libzypp 17.37.10

HistoryLogData.h File Reference
`#include <iosfwd>`
`#include <zypp-core/Globals.h>`
`#include <zypp/Date.h>`
`#include <zypp/Edition.h>`
`#include <zypp/Arch.h>`
`#include <zypp/CheckSum.h>`
`#include <zypp/Url.h>`
`#include <zypp/Patch.h>`

Go to the source code of this file.

## Classes
class | zypp::HistoryActionID
| Enumeration of known history actions. More...
class | zypp::HistoryLogData
| A zypp history log line split into fields. More...
class | zypp::HistoryLogDataInstall
| A zypp history log line for an installed packaged. More...
class | zypp::HistoryLogPatchStateChange
| A zypp history log line for an installed packaged. More...
class | zypp::HistoryLogDataRemove
| A zypp history log line for a removed packge. More...
class | zypp::HistoryLogDataRepoAdd
| A zypp history log line for an added repository. More...
class | zypp::HistoryLogDataRepoRemove
| A zypp history log line for a removed repository. More...
class | zypp::HistoryLogDataRepoAliasChange
| A zypp history log line for a repo alias change. More...
class | zypp::HistoryLogDataRepoUrlChange
| A zypp history log line for a repo url change. More...
class | zypp::HistoryLogDataStampCommand
| A zypp history log line identifying the program that triggered the following commit. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | HISTORY_LOG_DATE_FORMAT "%Y-%m-%d %H:%M:%S"

## Macro Definition Documentation

## ◆ HISTORY_LOG_DATE_FORMAT

#define HISTORY_LOG_DATE_FORMAT "%Y-%m-%d %H:%M:%S"

Definition at line 26 of file HistoryLogData.h.